# \Thelia\ModelCategoryVersionQuery

Skeleton subclass for performing query and update operations on the 'category_version' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByParent()
filterByVisible()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByVersion()
filterByVersionCreatedAt()
filterByVersionCreatedBy()
filterByCategory()
joinCategory()
useCategoryQuery()
prune()
doDeleteAll()
delete()
orderById()
orderByParent()
orderByVisible()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
orderByVersion()
orderByVersionCreatedAt()
orderByVersionCreatedBy()
groupById()
groupByParent()
groupByVisible()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
groupByVersion()
groupByVersionCreatedAt()
groupByVersionCreatedBy()
leftJoin()
rightJoin()
innerJoin()
leftJoinCategory()
rightJoinCategory()
innerJoinCategory()
findOne()
findOneOrCreate()
findOneById()
findOneByParent()
findOneByVisible()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findOneByVersion()
findOneByVersionCreatedAt()
findOneByVersionCreatedBy()
findById()
findByParent()
findByVisible()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
findByVersion()
findByVersionCreatedAt()
findByVersionCreatedBy()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/CategoryVersionQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CategoryVersionQuery
  \Thelia\Model\CategoryVersionQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CategoryVersionQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CategoryVersionQuery

Returns a new ChildCategoryVersionQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CategoryVersionQuery

#

static

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryVersion|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\CategoryVersion|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CategoryVersionQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CategoryVersionQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery
See also

## Tags

None found

### filterByParent()

    filterByParent(mixed $parent, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the parent column

Example usage: `$query->filterByParent(1234); // WHERE parent = 1234 $query->filterByParent(array(12, 34)); // WHERE parent IN (12, 34) $query->filterByParent(array('min' => 12)); // WHERE parent > 12`

#### Parameters

mixed | $parent | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByVisible()

    filterByVisible(mixed $visible, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the visible column

Example usage: `$query->filterByVisible(1234); // WHERE visible = 1234 $query->filterByVisible(array(12, 34)); // WHERE visible IN (12, 34) $query->filterByVisible(array('min' => 12)); // WHERE visible > 12`

#### Parameters

mixed | $visible | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByVersion()

    filterByVersion(mixed $version, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the version column

Example usage: `$query->filterByVersion(1234); // WHERE version = 1234 $query->filterByVersion(array(12, 34)); // WHERE version IN (12, 34) $query->filterByVersion(array('min' => 12)); // WHERE version > 12`

#### Parameters

mixed | $version | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByVersionCreatedAt()

    filterByVersionCreatedAt(mixed $versionCreatedAt, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the version_created_at column

Example usage: `$query->filterByVersionCreatedAt('2011-03-14'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt('now'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt(array('max' => 'yesterday')); // WHERE version_created_at > '2011-03-13'`

#### Parameters

mixed | $versionCreatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByVersionCreatedBy()

    filterByVersionCreatedBy(string $versionCreatedBy, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query on the version_created_by column

Example usage: `$query->filterByVersionCreatedBy('fooValue'); // WHERE version_created_by = 'fooValue' $query->filterByVersionCreatedBy('%fooValue%'); // WHERE version_created_by LIKE '%fooValue%'`

#### Parameters

string | $versionCreatedBy | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### filterByCategory()

    filterByCategory(\Thelia\Model\Category|\Propel\Runtime\Collection\ObjectCollection $category, string $comparison) : \Thelia\Model\CategoryVersionQuery

Filter the query by a related \Thelia\Model\Category object

#### Parameters

\Thelia\Model\Category|\Propel\Runtime\Collection\ObjectCollection | $category | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### joinCategory()

    joinCategory(string $relationAlias, string $joinType) : \Thelia\Model\CategoryVersionQuery

Adds a JOIN clause to the query using the Category relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### useCategoryQuery()

    useCategoryQuery(string $relationAlias, string $joinType) : \Thelia\Model\CategoryQuery

Use the Category relation Category object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CategoryQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\CategoryVersion $categoryVersion) : \Thelia\Model\CategoryVersionQuery

Exclude object from result

#### Parameters

\Thelia\Model\CategoryVersion | $categoryVersion | Object to remove from the list of results

#### Returns

\Thelia\Model\CategoryVersionQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the category_version table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCategoryVersion or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CategoryVersionQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderByParent()

    orderByParent($order =) : \Thelia\Model\CategoryVersionQuery

Order by the parent column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderByVisible()

    orderByVisible($order =) : \Thelia\Model\CategoryVersionQuery

Order by the visible column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\CategoryVersionQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\CategoryVersionQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\CategoryVersionQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderByVersion()

    orderByVersion($order =) : \Thelia\Model\CategoryVersionQuery

Order by the version column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderByVersionCreatedAt()

    orderByVersionCreatedAt($order =) : \Thelia\Model\CategoryVersionQuery

Order by the version_created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### orderByVersionCreatedBy()

    orderByVersionCreatedBy($order =) : \Thelia\Model\CategoryVersionQuery

Order by the version_created_by column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CategoryVersionQuery

Group by the id column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupByParent()

    groupByParent() : \Thelia\Model\CategoryVersionQuery

Group by the parent column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupByVisible()

    groupByVisible() : \Thelia\Model\CategoryVersionQuery

Group by the visible column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\CategoryVersionQuery

Group by the position column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\CategoryVersionQuery

Group by the created_at column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\CategoryVersionQuery

Group by the updated_at column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupByVersion()

    groupByVersion() : \Thelia\Model\CategoryVersionQuery

Group by the version column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupByVersionCreatedAt()

    groupByVersionCreatedAt() : \Thelia\Model\CategoryVersionQuery

Group by the version_created_at column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### groupByVersionCreatedBy()

    groupByVersionCreatedBy() : \Thelia\Model\CategoryVersionQuery

Group by the version_created_by column

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CategoryVersionQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CategoryVersionQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CategoryVersionQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### leftJoinCategory()

    leftJoinCategory($relationAlias =) : \Thelia\Model\CategoryVersionQuery

Adds a LEFT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### rightJoinCategory()

    rightJoinCategory($relationAlias =) : \Thelia\Model\CategoryVersionQuery

Adds a RIGHT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### innerJoinCategory()

    innerJoinCategory($relationAlias =) : \Thelia\Model\CategoryVersionQuery

Adds a INNER JOIN clause to the query using the Category relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CategoryVersionQuery

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion matching the query, or a new ChildCategoryVersion object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneByParent()

    findOneByParent(int $parent) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the parent column

#### Parameters

int | $parent |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneByVisible()

    findOneByVisible(int $visible) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the visible column

#### Parameters

int | $visible |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneByVersion()

    findOneByVersion(int $version) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the version column

#### Parameters

int | $version |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneByVersionCreatedAt()

    findOneByVersionCreatedAt(string $version_created_at) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findOneByVersionCreatedBy()

    findOneByVersionCreatedBy(string $version_created_by) : \Thelia\Model\CategoryVersion

Return the first ChildCategoryVersion filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

\Thelia\Model\CategoryVersion

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCategoryVersion objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findByParent()

    findByParent(int $parent) : array

Return ChildCategoryVersion objects filtered by the parent column

#### Parameters

int | $parent |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findByVisible()

    findByVisible(int $visible) : array

Return ChildCategoryVersion objects filtered by the visible column

#### Parameters

int | $visible |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildCategoryVersion objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildCategoryVersion objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildCategoryVersion objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findByVersion()

    findByVersion(int $version) : array

Return ChildCategoryVersion objects filtered by the version column

#### Parameters

int | $version |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findByVersionCreatedAt()

    findByVersionCreatedAt(string $version_created_at) : array

Return ChildCategoryVersion objects filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findByVersionCreatedBy()

    findByVersionCreatedBy(string $version_created_by) : array

Return ChildCategoryVersion objects filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryVersion

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\CategoryVersion —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryVersion|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\CategoryVersion|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CategoryVersionQuery

## Tags

None found

### CategoryVersionQuery.php